<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layout/main.html}">
<head>
<title>SQuaReV</title>
</head>
<body>
	<th:block layout:fragment="buttons">
		<ul class="navbar-nav">
			<li class="nav-item btn-hoverborder"><a class="nav-link" th:href="@{/login}" th:title="#{button.reload}"><i
					class="fas fa-sync"></i></a></li>
		</ul>
	</th:block>
	<main layout:fragment="content">
		<div class="whitepanel">
			<table id="reportTable" class="table table-striped">
				<thead>
					<tr>
						<th th:text="#{bean.report.id}">id</th>
						<th th:text="#{bean.report.name}">name</th>
						<th th:text="#{bean.report.functionselection}">func selection</th>
						<th th:text="#{bean.report.variableselection}">var selection</th>
						<th th:text="#{bean.report.datarelease}">data release</th>
						<th th:text="#{bean.report.calculationduration}">calc duration</th>
					</tr>
				</thead>
				<tbody>
					<tr th:if="${reports.empty}">
						<th colspan="8" th:text="#{list.empty}">no reports found</th>
					</tr>
					<tr th:each="report : ${reports}">
						<td><span th:text="${report.id}">ID</span></td>
						<td><a th:href="@{/report/{id}(id=${report.id})}" th:title="${report.description}" onclick="progress.start()"><span
								th:text="${report.name}">name</span></a></td>
						<td><span th:text="${report.functions}">function selection</span></td>
						<td><span th:text="${report.vargroup}">variable selection</span></td>
						<td><span th:text="${report.release}">data release</span></td>
						<td><span th:text="${report.durations}">calculation duration</span></td>
					</tr>
				</tbody>
			</table>
		</div>
		<script type="text/javascript">
			$(document).ready(function() {
				var localeUrl = '[[@{/locale/{l}.json(l=${#locale})}]]';
				$('#reportTable').DataTable({
					"language" : {
						"url" : localeUrl
					}
				});
			});
		</script>
	</main>
</body>
</html>